# Corpus

**EUR LEX**  Zbiór wszystkich regulacji unijnych
https://dataverse.harvard.edu/dataset.xhtml?persistentId=doi:10.7910/DVN/0EGYWY

## Statystyki  

**Ilość wierszy**: `wc -l` 737767  
**Rozmiar pliku (przed kompresją)**: 666 MB  
**Rozmiar pliku (po kompresji)**: 147 MB  

## Skrypt czyszczący

- Rozbijanie długich akapitów na mniejsze zdania na podstawie słów kluczy lub znaczników.
- Usuwanie wybranych patternów np. "(3)", "8.4.2", "p. 4."
- Usuwanie akapitów, które mają więcej ni 5 znaków znakami poza ASCII. Następnie te znaki są ignorowane.
- Usuwanie zduplikowanych linii.

## Uruchomienie skryptu

Należy uruchomić skrypt pythonowy clean.py. Wynikiem działania programu jest plik out-merged.txt, który zawiera wstępnie wyczyszczony korpus.  

```python clean.py --filePath {sciezka_do_pliku}```

## Head

```From 15 February to 15 April each year, it shall be prohibited to use bottom trawls, longlines and static nets within an area enclosed by sequentially joining with rhumb lines the following coordinates, which shall be measured according to the WGS84 system:  60 58.76  N, 27 27.32  W  60 56.02  N, 27 31.16  W  60 59.76  N, 27 43.48  W  61 03.00  N, 27 39.41  W  60 58.76  N, 27 27.32  W.
It shall be permitted to fish within the area defined in point 7.1 with:  static nets and/or hand lines;  demersal trawls, Danish seines or other similar towed nets, with a mesh size greater than 80 mm.

On the basis of the best available scientific advice a Member State may, for vessels flying its flag, put in place mitigation measures or restrictions on the use of certain gear. Such measures shall minimise, and where possible eliminate, the catches of the species referred to in paragraph 1 of this Article and shall be compatible with the objectives set out in Article 2 of Regulation (EU) No 1380/2013 and be at least as stringent as technical measures applicable under Union law.

The catch percentages referred to in paragraph 2 may be calculated on the basis of one or more representative samples.
The application of the conditions in relation to the mesh size specifications set out in Article 27 and in Part B of Annexes V to XI shall not lead to a deterioration of selectivity standards, in particular in terms of an increase in the catches of juveniles, existing on 14 August 2019, and shall aim at achieving the objectives and targets set out in Articles 3 and 4.

A joint recommendation submitted for the purpose of adopting the measures referred to in Article 15(2), in relation to moving-on provisions, shall include: (a) the species and threshold levels that trigger an obligation to move; (b) the distance by which a vessel is to move away from its previous fishing position.

25.7.2019 EN Official Journal of the European Union L 198/105 REGULATION (EU) 2019/1241 OF THE EUROPEAN PARLIAMENT AND OF THE COUNCIL of 20 June 2019 on the conservation of fisheries resources and the protection of marine ecosystems through technical measures, amending Council Regulations (EC) No 1967/2006, (EC) No 1224/2009 and Regulations (EU) No 1380/2013, (EU) 2016/1139, (EU) 2018/973, (EU) 2019/472 and (EU) 2019/1022 of the European Parliament and of the Council, and repealing Council Regulations (EC) No 894/97, (EC) No 850/98, (EC) No 2549/2000, (EC) No 254/2002, (EC) No 812/2004 and (EC) No 2187/2005 THE EUROPEAN PARLIAMENT AND THE COUNCIL OF THE EUROPEAN UNION, Having regard to the Treaty on the Functioning of the European Union, and in particular Article 43 thereof, Having regard to the proposal from the European Commission, After transmission of the draft legislative act to the national parliaments, Having regard to the opinion of the European Economic and Social Committee (1), Having regard to the opinion of the Committee of the Regions (2), Acting in accordance with the ordinary legislative procedure (3), Whereas: Regulation (EU) No 1380/2013 of the European Parliament and of the Council establishes a Common Fisheries Policy (CFP) for the conservation and sustainable exploitation of fisheries resources.
Where the direct restocking or transplantation is carried out in the waters of another Member State or Member States, the Commission and all those Member States shall be informed, at least 20 calendar days in advance, of the intention to conduct such fishing operations. CHAPTER V CONDITIONS IN RELATION TO MESH SIZE SPECIFICATIONS Article 27 Conditions in relation to mesh size specifications The catch percentages referred to in the Annexes V to VIII shall mean the maximum percentage of species allowed so as to qualify for the specific mesh sizes set out in those Annexes. Such percentages shall be without prejudice to the obligation to land catches in Article 15 of Regulation (EU) No 1380/2013.
It shall be prohibited to have on board or set more than 2 500 m of combined gillnets and trammel nets and 6 000 m of any gillnet, entangling net or trammel net.
Article 11 Catches of marine mammals, seabirds and marine reptiles The catching, retention on board, transhipment or landing of marine mammals or marine reptiles referred to in Annexes II and IV to Directive 92/43/EEC and of species of seabirds covered by Directive 2009/147/EC shall be prohibited.```
