# Statystyki  

## Uruchomienie skryptu

Należy uruchomić skrypt pythonowy statistics.py. Wynikiem działania programu są utworzone zdjęcia w folderze /images.

```python statistics.py --filePath {sciezka_do_pliku}```

## Statystyki podstawowe

### 10 nadłuższych słów

`
MarineStrategyFrameworkDirectiveClassificationValue
OtherFinancialProfessionalAndInformationServices
GuineaPeruPhilippinesQatarRomaniaRussiaRwandaSao
MarineStrategyFrameworkDirectiveClassificationValue
AustraliaArgentinaBotswanaBrazilChileNamibiaNew
ManufacturingOfElectricalAndOpticalEquipment
ClassificationAndQuantificationFrameworkValue
FinancialProfessionalAndInformationServices
measuredIndicatedAndInferredMineralResource
AnthropogenicGeomorphologicFeatureTypeValue
`

### Prawo Zipfa dla słów

![title](images/zipf-law-words.png)

### Prawo Zipfa dla trigramów z słów

![title](images/zipf-law-3grams.png)

### Słowa łamiące prawo łączące długość z częstością

- aunt (4 znaki, 31 wystąpień)
- cave (4 znaki, 31 wystąpień)
- amateur (7 znaków, 31 wystąpień)
- CommissionFranz (15 znaków, 2090 wystąpień)
- responsibilities (16 znaków, 2087 wystąpień)
- Interventionsstelle (19 znaków, 231 wystąpień)
- hydrogenorthophosphate (22 znaków, 148 wystąpień)
- polytetrafluoroethylene (23 znaków, 148 wystąpień)  

### Częstotliwość zaimków

![title](images/pt-pronouns.png)

### Ilosć wystąpień dat (lata)

`['1999', '1975', '1987', '1992', '1985', '1981', '1988', '1986', '1995', '1991', '1993', '1990', '1994', '1983', '1989'...`
![title](images/pt-years.png)
